﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using C1.WPF.C1Chart;

namespace WpfApplication34
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.chart.Loaded += chart_Loaded;
            
        }

        void chart_Loaded(object sender, RoutedEventArgs e)
        {
            ObservableCollection<Point> points = new ObservableCollection<Point>();


            //Clear chart data
            chart.Data.Children.Clear();

            //Create dummy data
            points.Add(new Point(0, 20));
            points.Add(new Point(1, 22));
            points.Add(new Point(2, 19));
            points.Add(new Point(3, 24));
            points.Add(new Point(4, 29));
            points.Add(new Point(5, 7));
            points.Add(new Point(6, 12));
            points.Add(new Point(7, 15));

            //Setup C1Chart data series
            XYDataSeries ds = new XYDataSeries();
            ds.Label = "Series 1";
            //Bind data series to collection
            ds.ItemsSource = points;
            //Important to set binding when using ItemsSource
            ds.ValueBinding = new Binding("Y");
            ds.XValueBinding = new Binding("X");
            //Add data series to chart
            chart.Data.Children.Add(ds);

        }
    }
}
